petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOptionsInsertString

Inserts options into the database from a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsInsertString(PetscOptions options,const char in_str[])

Logically Collective

### Input Parameter

in_str -string that contains options separated by blanks

The collectivity of this routine is complex; only the MPI processes that call this routine will have the affect of these options. If some processes that create objects call this routine and others do not the code may fail in complicated ways because the same parallel solvers may incorrectly use different options on different ranks.

Contributed by Boyana Norris

### See Also

PetscOptionsSetValue(), PetscOptionsView(), PetscOptionsHasName(), PetscOptionsGetInt(),
PetscOptionsGetReal(), PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList(), PetscOptionsInsertFile()

### Level

intermediate

### Location

src/sys/objects/options.c

### Examples

src/sys/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex56.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages